ServerEvents.recipes((event) => {
  // =========================================
  // Modular Routers
  // =========================================

  // Modular Router
  event
    .shaped("4x modularrouters:modular_router", [
        "ABA", 
        "CDE", 
        "AFA"
    ], 
    {
      A: "architects_palette:sheet_metal_block",
      B: "minecraft:dropper",
      C: "minecraft:observer",
      D: "thermal:machine_frame",
      E: "minecraft:piston",
      F: "minecraft:dispenser",
    })
    .id("modularrouters:modular_router");

  // Blank Module
  event
    .shaped("6x modularrouters:blank_module", [
        " A ", 
        "ABA", 
        "CCC"
    ], 
    {
      A: "alexscaves:smooth_bone_slab",
      B: "labels:label",
      C: "#forge:nuggets/gold",
    })
    .id("modularrouters:blank_module");
  event
    .shaped("4x modularrouters:blank_upgrade", [
        "AAC", 
        "ABC", 
        " AC"
    ], 
    {
      A: "alexscaves:smooth_bone_slab",
      B: "labels:label",
      C: "#forge:nuggets/gold",
    })
    .id("modularrouters:blank_upgrade");
});
